<?php

/**
 * This widget allows to reissue a Blesta license.
 *
 * @copyright Copyright (c) 2019, Phillips Data, Inc.
 * @link http://www.blesta.com/ Blesta
 */
class Widget_Reissue extends HostingWidget
{
    protected $description = 'Re-issue your license for use on a different server or domain.';

    protected $widgetfullname = 'Re-issue License';

    /**
     * HostBill will call this function when widget is visited from clientarea
     *
     * @param HostingModule $module Your provisioning module object
     *
     * @return array
     */
    public function clientFunction(&$module)
    {
        // Re-issue license
        if ($_POST['make'] == 'reissue') {
            $module->Reissue();
        }

        // Build view
        $vars = [];

        return ['reissue.tpl', $vars];
    }
}